<?
require ('Conexion/Conexion.php');
require ('lib/lib.php');
if(!isset($_SESSION['WEB2'])){	
	echo "<script language='JavaScript'>location.href = 'index.php'</script>";
	die();
} else{
	Inactividad();
	/*Opciones
	Opcion 1 = Alta Usuario: Checa Usuario Existente
	Opcion 2 = Alta Grupo: Checa el Nombre Existente
	Opcion 3 = Alta Usuario : Checa Correo Existente
	Opcion 4 = Cambio Password: Checa si el NIPActual es el mismo
	Opcion 5 = ModUsuario: Checa si es el mismo Usuario al Modificar
	Opcion 6 = ModUsuario: Checa si es el mismo Correo al Modificar
	*/

	if($_POST['Opcion'] != ''){
		if(preg_match("/^[[:digit:]]+$/", $_POST['Opcion'])){
			$Opcion = $_POST['Opcion'];
			
			if($Opcion == 1) {
				if($_POST['Usuario'] != '') {
					if(strlen($_POST['Usuario']) >= 4 && strlen($_POST['Usuario']) <= 15){
						if(preg_match('/^[a-zA-Z0-9\d_-]{4,15}$/i', $_POST['Usuario'])){
							$Usuario = strtoupper($_POST['Usuario']);
							$Query = mssql_query("SELECT ClienteID FROM UsuarioWeb WHERE Usuario = '$Usuario'");
							if(mssql_num_rows($Query) == 0)
								echo "NO";
							else
								echo "SI";
						}else
							echo "<p class='error'>El Nick del Usuario solo acepta números y letras!</p>";
					}else
						echo "<p class='error'>El Nick de Usuario esta fuera del rango permitido de caracteres!</p>";
				}else
					echo "<p class='error'>Escriba el Nick del Usuario!</p>";
			}
			elseif($Opcion == 2) {
				if($_POST['NombreGrupo'] != '') {
					if(strlen($_POST['NombreGrupo']) >= 2 && strlen($_POST['NombreGrupo']) <= 50){
						if(preg_match("/^[ a-zA-Z0-9\d.]{2,50}$/i", $_POST['NombreGrupo'])){
							$Grupo = strtoupper($_POST['NombreGrupo']);
							$Query = mssql_query("SELECT ClienteID FROM SeccionWeb WHERE NombreSeccion = '$Grupo'");
							if(mssql_num_rows($Query) == 0)
								echo "NO";
							else
								echo "SI";
						}else
							echo "<p class='error'>Solo se aceptan números y letras!</p>";
					}else
						echo "<p class='error'>El Nombre del Grupo esta fuera del rango permitido de caracteres!</p>";
				}else
					echo "<p class='error'>Se requiere el Nombre del Grupo!</p>";
			}
			elseif($Opcion == 3) {
				if($_POST['Correo'] != ''){
					if(strlen($_POST['Correo']) >= 6 && strlen($_POST['Correo']) <= 50){
						if(check_email_address($_POST['Correo'])){
							$Correo = strtoupper($_POST['Correo']);
							$Query = mssql_query("SELECT ClienteID FROM UsuarioWeb WHERE Email= '$Correo'");
							if(mssql_num_rows($Query) == 0)
								echo "NO";
							else
								echo "SI";
						}else
							echo "<p class='error'>Escriba un Correo Electrónico válido!</p>";
					}else
						echo "<p class='error'>El Correo Electrónico esta fuera del rango permitido de caracteres!</p>";
				}else
					echo "<p class='error'>Escriba el Correo Electrónico!</p>";
			}//Cambio de Password
			elseif($Opcion == 4) {
				if($_POST['Password'] != '') {
					if(strlen($_POST['Password']) >= 3 && strlen($_POST['Password']) <= 15){
						if(preg_match("/^[a-zA-Z0-9]{3,15}$/i", $_POST['Password'])){
							$Password = strtoupper($_POST['Password']);
							if($_SESSION['Password'] == $Password)
								echo 'SI';
							else 
								echo 'NO';					
						}else
							echo "<p class='error'>Solo se Aceptan números y letras!</p>";	
					}else
						echo "<p class='error'>La Contraseña esta fuera del rango permitido de caracteres!</p>";
				}else
					echo "<p class='error'>Escriba la Contraseña Actual!</p>";
			}
			elseif($Opcion == 5) {
				if($_POST['Usuario'] != '') {
					if(strlen($_POST['Usuario']) >= 4 && strlen($_POST['Usuario']) <= 15){
						if(preg_match('/^[a-zA-Z0-9\d_-]{4,15}$/i', $_POST['Usuario'])){
							$Usuario = strtoupper($_POST['Usuario']);
							$Query = mssql_query("SELECT ClienteID FROM UsuarioWeb WHERE Usuario = '$Usuario'");
							if(mssql_num_rows($Query) == 0)
								echo "NO";
							else {
								$EvaluarQuery = mssql_fetch_array($Query);
								if($EvaluarQuery['ClienteID'] == $_SESSION['ClienteID'])
									echo "NO";
								else
									echo "SI";
							}
						}else
							echo "<p class='error'>El Nick del Usuario solo acepta números y letras!</p>";
					}else
						echo "<p class='error'>El Nick de Usuario esta fuera del rango permitido de caracteres!</p>";
				}else
					echo "<p class='error'>Escriba el Nick del Usuario!</p>";
			}
			elseif($Opcion == 6) {
				if($_POST['Correo'] != ''){
					if(strlen($_POST['Correo']) >= 6 && strlen($_POST['Correo']) <= 50){
						if(check_email_address($_POST['Correo'])){
							$Correo = strtoupper($_POST['Correo']);
							$Query = mssql_query("SELECT ClienteID FROM UsuarioWeb WHERE Email= '$Correo'");
							if(mssql_num_rows($Query) == 0)
								echo "NO";
							else{
								$EvaluarQuery = mssql_fetch_array($Query);
								if($EvaluarQuery['ClienteID'] == $_SESSION['ClienteID'])
									echo "NO";
								else
									echo "SI";
							}
						}else
							echo "<p class='error'>Escriba un Correo Electrónico válido!</p>";
					}else
						echo "<p class='error'>El Correo Electrónico esta fuera del rango permitido de caracteres!</p>";;
				}else
					echo "<p class='error'>Escriba el Correo Electrónico!</p>";
			}else
				echo "<p class='error'>La selección de la consulta esta fuera del rango!</p>";
		}else
			echo "<p class='error'>La selección de la consulta tiene que ser númerica!</p>";
	}else
		echo "<p class='error'>Selecione que tipo de consulta desea realizar!</p>";
}
?>